<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:25:16 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>StaticCppToOO (org.eclipse.papyrus.designer.components.transformation.cpp 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StaticCppToOO (org.eclipse.papyrus.designer.components.transformation.cpp 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StaticCppToOO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html" title="class in org.eclipse.papyrus.designer.components.transformation.cpp.xtend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/components/transformation/cpp/xtend/StaticCppToOO.html" target="_top">Frames</a></li>
<li><a href="StaticCppToOO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.papyrus.designer.components.modellibs.core.transformations.AbstractCompToOO">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.components.transformation.cpp.xtend</div>
<h2 title="Class StaticCppToOO" class="title">Class StaticCppToOO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">org.eclipse.papyrus.designer.components.modellibs.core.transformations.AbstractCompToOO</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.components.transformation.cpp.xtend.StaticCppToOO</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">IOOTrafo</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">StaticCppToOO</span>
extends <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">AbstractCompToOO</a>
implements <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">IOOTrafo</a></pre>
<div class="block">This class realizes the transformation from component-based to object-oriented
 models for C++. It refines the abstract component to OO transformation</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.designer.components.modellibs.core.transformations.AbstractCompToOO">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.designer.components.modellibs.core.transformations.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">AbstractCompToOO</a></h3>
<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#copier" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">copier</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#NL" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">NL</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#progLang" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">progLang</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/StaticCppToOO.html#StaticCppToOO--">StaticCppToOO</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/StaticCppToOO.html#applyRef-org.eclipse.uml2.uml.Element-">applyRef</a></span>(org.eclipse.uml2.uml.Element&nbsp;element)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/StaticCppToOO.html#getRef-org.eclipse.uml2.uml.Property-">getRef</a></span>(org.eclipse.uml2.uml.Property&nbsp;attribute)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/StaticCppToOO.html#init-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.Class-">init</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
    org.eclipse.uml2.uml.Class&nbsp;bootloader)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/StaticCppToOO.html#nameRef-org.eclipse.uml2.uml.Property-">nameRef</a></span>(org.eclipse.uml2.uml.Property&nbsp;attribute)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/StaticCppToOO.html#transformParts-org.eclipse.uml2.uml.Class-">transformParts</a></span>(org.eclipse.uml2.uml.Class&nbsp;compositeImplementation)</code>
<div class="block">Transform parts if necessary.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.designer.components.modellibs.core.transformations.AbstractCompToOO">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.designer.components.modellibs.core.transformations.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">AbstractCompToOO</a></h3>
<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#addConnectionOperation-org.eclipse.uml2.uml.Class-" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">addConnectionOperation</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#addConnectPortOperation-org.eclipse.uml2.uml.Class-" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">addConnectPortOperation</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#addGetPortOperation-org.eclipse.uml2.uml.Class-" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">addGetPortOperation</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#addPortOperations-org.eclipse.uml2.uml.Class-" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">addPortOperations</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#connectPorts-java.util.Map-org.eclipse.uml2.uml.Connector-org.eclipse.uml2.uml.ConnectorEnd-org.eclipse.uml2.uml.ConnectorEnd-org.eclipse.uml2.uml.Port-" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">connectPorts</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#getIndexName-java.util.Map-org.eclipse.uml2.uml.Port-org.eclipse.uml2.uml.ConnectorEnd-" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">getIndexName</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#instantiateViaBootloader-org.eclipse.uml2.uml.Class-" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">instantiateViaBootloader</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#instantiateViaBootloader-org.eclipse.uml2.uml.StructuralFeature-" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">instantiateViaBootloader</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.designer.components.transformation.extensions.IOOTrafo">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.designer.components.transformation.extensions.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">IOOTrafo</a></h3>
<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true#addConnectionOperation-org.eclipse.uml2.uml.Class-" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">addConnectionOperation</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true#addPortOperations-org.eclipse.uml2.uml.Class-" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">addPortOperations</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="StaticCppToOO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>StaticCppToOO</h4>
<pre>public&nbsp;StaticCppToOO()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public&nbsp;void&nbsp;init(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
                 org.eclipse.uml2.uml.Class&nbsp;bootloader)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true#init-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.Class-" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">init</a></code>&nbsp;in interface&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">IOOTrafo</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#init-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.Class-" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">init</a></code>&nbsp;in class&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">AbstractCompToOO</a></code></dd>
</dl>
</li>
</ul>
<a name="nameRef-org.eclipse.uml2.uml.Property-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nameRef</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;nameRef(org.eclipse.uml2.uml.Property&nbsp;attribute)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#nameRef-org.eclipse.uml2.uml.Property-" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">nameRef</a></code>&nbsp;in class&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">AbstractCompToOO</a></code></dd>
</dl>
</li>
</ul>
<a name="applyRef-org.eclipse.uml2.uml.Element-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>applyRef</h4>
<pre>public&nbsp;void&nbsp;applyRef(org.eclipse.uml2.uml.Element&nbsp;element)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#applyRef-org.eclipse.uml2.uml.Element-" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">applyRef</a></code>&nbsp;in class&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">AbstractCompToOO</a></code></dd>
</dl>
</li>
</ul>
<a name="getRef-org.eclipse.uml2.uml.Property-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRef</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getRef(org.eclipse.uml2.uml.Property&nbsp;attribute)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true#getRef-org.eclipse.uml2.uml.Property-" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">getRef</a></code>&nbsp;in class&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.modellibs.core/apidocs/org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.modellibs.core.transformations">AbstractCompToOO</a></code></dd>
</dl>
</li>
</ul>
<a name="transformParts-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>transformParts</h4>
<pre>public&nbsp;void&nbsp;transformParts(org.eclipse.uml2.uml.Class&nbsp;compositeImplementation)</pre>
<div class="block">Transform parts if necessary.
 
 If the bootloader is responsible for creating an instance (if it is a
 abstract type), mark the associated part as a C++ pointer. We do not want
 to change the aggregation kind, since it remains logically a composition,
 it is merely an implementation issue that it must be a pointer for C++ if
 the concrete type is not yet known.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true#transformParts-org.eclipse.uml2.uml.Class-" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">transformParts</a></code>&nbsp;in interface&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">IOOTrafo</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>compositeImplementation</code> - a (composite) component</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StaticCppToOO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html" title="class in org.eclipse.papyrus.designer.components.transformation.cpp.xtend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/components/transformation/cpp/xtend/StaticCppToOO.html" target="_top">Frames</a></li>
<li><a href="StaticCppToOO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.papyrus.designer.components.modellibs.core.transformations.AbstractCompToOO">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
